AutoCad 2D :: Difference Between Using Pick Points And Objects Selection Methods?
May 6, 2012What is the difference between using the Pick Points and Objects selection methods in the Boundary Hatch and Fill dialog box?
View 2 RepliesWhat is the difference between using the Pick Points and Objects selection methods in the Boundary Hatch and Fill dialog box?
View 2 RepliesI want to copy a lot of referenced entities. Is there any way to select more than one item at a time using Copy Nested Objects?
Windows 7 x 64
Nvidia GeForce GTS 450
8 GB Ram
Intel Core i5-2310 @ 2.90 GHz
v. F.107.0.0 AutoCAD Civil 3D 2012 SP1
I am having trouble with my selection box. Ordinarily, when I am trying to select multiple object, I can just create multiple selection boxes and it keeps adding more and more objects to my selection. However, it recently started acting funny--it stopped selecting things after the first box was drawn. No matter how many boxes I drag, it won't add any more objects to my selection.
View 3 Replies View RelatedI am in the process of translating existing VBA code into VB.NET, and I just ran into some issues regarding how to interpret VBA's GOTO in VB.NET. In the VBA, the programmer has the code written thus...
Public Sub addTag()
Dim ptStart, ptEnd As Variant
Dim annotation As Object
[Code].....
Without the while loop, single execution works perfectly. But the while loop to emulate multiple (recursive) execution raises some issues.
My problem occurs during execution of my VB.NET code, and has to do with display of the generated entities after the user picks points.
User picks the start point, then picks the end point, but nothing is displayed in the modelspace; rather, user is prompted immediately to pick start point and end point all over again (because of the while loop I used to emulate VBA's GOTO).
However, once user presses ESC, all the leaders and blocks that were drawn during the execution of the while loop are immediately displayed.
Is there a way for me to make it so that EACH time the while loop executes, the end product is IMMEDIATELY displayed in modelspace at the end of EACH loop, BEFORE the user is prompted to pick points all over again (beginning of the next loop)?
The VBA code executes as expected during runtime, as a result of the GOTO StartAddTag line of code.
But I can't use GOTO in my VB.NET code because of its messy nature, so I used a while loop instead. And the while loop isn't performing as expected.
Have noticed that on an AutoCAD 2013 workstation when the user make an ambiguous pick (that it, pick on top of two or more overlapped items) instead of just selecting one of them, there will appear a list box (whose caption is "Selection") containing all entities that may be selected in that spot and also None option. The user may pick the entity(ies) he/she want to have selected, but this behavior also prevents dragging the entities (since the said list box is shown again).
View 9 Replies View RelatedI know how to increment pick points numerically (see below). How is it done alphabetically?
(defun C:test (/ pt# pt) (setq pt# (getint "
Enter number: ")) (while (setq pt (getpoint "
Specify point: " ))(if (/= pt nil) (progn (command "TEXT" "M" pt "" "" pt#) (setq pt# (1+ pt#)) ) ) ) (princ))
Any way to get an expression that calculated the difference between two points and pick up the results as point elevation.
View 5 Replies View RelatedI love the area command how you can pick multiple objects and they highlight and adds the total. I was wondering is there a way to do that same concept but with multiple objects and total it to acreage?
View 9 Replies View RelatedI have linked a DWG-file from Autocad in to 3ds max. I would like to use the substitute modifier so that objects ends up on the right spot even if changes are made in the DWG-file. The problem is that in Autocad there is one block for example for the trees in a pot, but in max there is one pot and one tree. I would like to keep it that way so I am able to change the parameters for my trees.
How can i use the substitute modifier and pick multiple objects? It is not possible with groups, it only uses the one object I pick, even if it is in a group.
So, to make things clearer, I want multiple max-objects linked to one autocad block via the substitute modifier!
Using the pen tool and plotting anchor points, what is the difference between a straight and a curved anchor point, and how do you know which they are? I know you can drag out curves when drawing with the pen tool, though I am unclear on actual straight and curved anchors.
View 3 Replies View RelatedCan add selection boxes or pick boxes to a block?
Here's the situation. I have a block that will be inserted showing a piece of angle iron that is used for a stiffener. We have various sizes that will need to be used. Instead of typing in the angle size each time it's inserted can I have a list of all the angle sizes and then a pick box or radial dial or something to be selected and that is what is put in the block?
don't know if it's a mac/pc problem or if it's a CS6 problem. I have been working with photoshop on PC for the past 9 years or so. I recently had to switch to CS6 on Mac.
I can no longer place my cursor in the blend modes field and use arrow keys to quickly toggle through them to find the ideal mode. I used to be able to preview 15 blend modes in just 5-6 seconds and land on the ideal mode... and get on with my project. NOW i have to click this button and click again on each blend mode... lengthening my process by up to 2 minutes. This is an ENORMOUS problem for me as choosing blend modes is critical in my day to day design work.
See the menu right next to it where you can type in the opacity? I can put my cursor in there and use arrow keys to adjust values. Blend mode NEEDS to work this way too. And this is on a mac. You simply HAVE to do something here. productivity impacted severely.
Also.. this problem exists in After Effects CS5 on pc. Let's get it fixed there too. I will hand-write you a letter of praise and send flowers if you can do this.
I am busy writing a small app to find a best fit circle through a series of points that roughly follow the profile of an arc. This data was scanned in using a Farro arm and imported to AutoCAD.
I would like to use VB.Express and the AutoCAD API. So far I have managed to write some code (loosely based on some examples from the AutoCAD .NET Developer's Guide) to allow the user to select the points to process.
I have three questions around this issue:
a.) How can I set up a selection filter to limited the user's input to 2d points only?
b.) Once I have the selection set of points, how can I extract the "X" and "Y" values of each of the points to be able to process further?
c.) Is there some sort of Object model diagram for the AutoCAD API that I can download, or any (downloadable) literature to get started with the API and VB.Express. I have looked online for some books and Amazon list them, but a. they are in hardcopy format and b.) the most recommended one (i.e. VB.NET Programming for AutoCAD Customization - Level 1 Jeremy Winters) is out of print. I am specifically looking for downloadable books because of the delivery times and shipping costs to get a hard copy.
I'd like to insert a block into a big selection of points. Any way or have I to look at customization routines.
View 3 Replies View RelatedIs there any way of getting ALL objects a Line/ray intersects with?
I am thinking of something like:
*Pseudocode*
Ray ray = new Ray();ray.To = dest;ray.From = start;
ray.Fire();var obj = ray.GetFirstHitObject(); /* or null if nothing */// continue here //
I don't even need the object, a simple true if it hits something, or false if not is enough for me.
Looking to make a selection set of points that are on a specific layer, and then create a dimension between, in this case, two points. I feel like it should be very simple, but I can't get it to work for the life of me. Here is the test code I've been playing around with:
(defun c:test (/ sel1 TC)
(setq sel1 (ssget "X" '((8 . "VPOINTS"))))
(setq TC (polar (entget (assoc 10 (ssname sel1 0))) (dtr 180.0) 9))
(command "DIMLINEAR" (entget (assoc 10 (ssname sel1 0))) (entget (assoc 10 (ssname sel1 1))) "V" (polar TC (dtr 180.0) 9) "")
[code].......
I was wondering how to develop a Selection Set Filter that will select only Cogo Points? I know I need to use Dxf.Start as the code, but then what's the string associated with Cogo Points? Can't find any documentation on this or any Civil 3D-unique entities...I know Line is just "Line" and "Arc" is just arc...but Polyline is the unintuitive "LWPolyline" and "Cogo Point" isn't working.
View 5 Replies View RelatedI have a baseplan I was sent for senior design project and it was previously created in an earlier version of autocad. However Im not sure which version it was created in. There are almost 3000 points and contours but I can not use these points to create a surface. I am ultimately trying to create a surface and then a profile for a road to design vertical curves throughout.
I cut out a few points and copied them into a new drawing due to the size of the actual file
Possible to view the control points of a 2d or 3d object. I know that we can view the control points for spline objects, but is it possible to view the control points also for every other object i draw?
View 2 Replies View RelatedWhat might be the cause of a several moment delay when selecting objects and/ or their grip points. It doesn't occur when a command is entered first. The longer a drawing is open the worse it seems to get. Is there any fix or adjustment that can be made?
View 2 Replies View RelatedThis problem has just started to occur and frankly, I'm totally stuck. When I created 3d objects to represents conduits runs in a building, they worked fine. However, when I saved and reopened my file, the objects are shown in different locations, yet their snap points (endpoints, midpoints, arcs, etc) are shown in the correct location. I have attached an image showing what I mean to clarify. I am using Autocad 2014 and Civil 3D 2014.
View 1 Replies View RelatedI need to bust a floor plan up into 4 quadrants. Just so I don’t do anything to the original, typically I will copy the plan from one starting coordinate to my “construction document”, or working construction lines. Once I’ve made the copy, I typically use the construction line as a “Quadrant Marker” for match-lines, etc., etc., etc… My problem is that I cannot remove the construction lines from the new copy that I’ve made. Not only that, if I move the copy, or delete the copy, the construction lines now seem to be a part of the “new drawing”. The “Grip” is also listed as a “Constraint”.
“This Does Not Happen With AutoCAD2008, or Earlier Versions” so What is Wrong, or so Different with AutoCAD2011, or Later?
How to distribute object (circle) in selection of great number of points?
View 5 Replies View RelatedI have been using autocad for a while and have always been able to use "R" to remove objects from a selection set. All of a sudden now when I want to use that command it activates the "Redraw" command instead of letting me remove objects from my set.
How to get it back to the way I had it before?
After a few hours of everything working perfectly, AutoCAD will suddenly decide to select objects slowly (for move, copy, trim, erase etc. commands). There will be a short time lag between picking a point on the screen and creating the selection box.
The problem is only rectified by switching off the pc and rebooting.
I have a block that contains attributes. When I select the block, you can see all the nodes/insert points from the attributes within the text. I was wondering if there is anyway to have the block only show the insertion point of the block and not the attributes? The attached image shows what I am talking about.
View 4 Replies View RelatedI add an entity to the PICKFIRST selection set as follows.
Editor.SetImpliedSelection(new ObjectId[] { oiTarget });entTarget.Highlight(); // Entity.
After this, I can type the CAD command "erase", and the selected entity is erased. However, if I press the DELETE key the entity is not erased (nothing happens). Why is that?
If I select something on screen with my cursor, the DELETE will erase it.
I have an array of all the same block with a few attributes. All attributes need just slightly different data (like incrementing numbers). It is extremely tedious to select the block, enter the data, cancel the selection and then select the next block. Is there an easy way to select all the blocks up front and then modify them one at a time by "cycling through the selection"? I'm specifically looking for a key-command that will de-select the current block and select the next one so I can stay in my properties window.
It's also worth mentioning that I'm on LT and there aren't enough blocks to make ATTOUT/IN worth it (or possible).
How can I change the settings, so that only one object will be selected at a time --> selected objects will be deleted from the selection, picking another object without pressing the 'shift' button?
View 7 Replies View RelatedI'm working on a command that lets me select polylines on a specific layer, then converts them to 3d solids. I'm having a slight issue where if a polyline has the same start and end coordinates (this happens in some of our drawings), then the command stops and I get an eDegenerateGeometry error. I want to modify my command so that it detects these objects, removes them from the selection set, and then notifies the users of their prescence so they can be removed manually. The last part i think I can handle, however I'm not sure how to modify either my filter or my routine to detect and ignore these objects. I'm assuming that since i'll want to record these objects to later notify the user, that i'd probably want to modify my routine.
using System;using Autodesk.AutoCAD.Runtime;using Autodesk.AutoCAD.ApplicationServices;using Autodesk.AutoCAD.DatabaseServices;using Autodesk.AutoCAD.Geometry;using Autodesk.AutoCAD.EditorInput;using Autodesk.AutoCAD.DataExtraction;using Autodesk.AutoCAD.Colors;using System.Windows.Forms;
[code]...
My question is, if there any tool /command, utility in autocad to select all objects of one type at one time : for example all text objects or all dimention objects if these objects on different layers and have different properties. in my work I have to insert many blocks(not annotative) or parts of drawings which were created by other people and have different from mine settings and properties of text and dimention objects. the insertions add so many layers and objects that I spend lots of time to correct them and to figure it out.
is there any way( command, utility) to select and manage all of these objects at one time?
P.S.i think it is very unconvenient that the plain autocad does not have dimentions and text as families or some sort of groups that s easy to manage.